html,
body {
  height: 100%;
}

body {
  position: relative;
  padding-bottom: constant(safe-area-inset-bottom);
  padding-bottom: env(safe-area-inset-bottom);
}

* {
  -webkit-tap-highlight-color: transparent;
}

.highcharts-scrollbar {
  display: none !important;
}

.scroll::-webkit-scrollbar {
  background: transparent;
  width: 4px;
}
.scroll::-webkit-scrollbar-track {
  background: transparent;
}
.scroll::-webkit-scrollbar-thumb {
  border-radius: 2px;
}

.dark-scroll::-webkit-scrollbar-thumb {
  background-color: rgba(255, 255, 255, 0.08);
}

.light-scroll::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.04);
}

.brawl-zoom1 {
  animation: brawl-zoom1 0.6s ease-in-out forwards;
}

.brawl-zoom2 {
  animation: brawl-zoom2 0.6s ease-in-out forwards;
}

.brawl-left-arrow {
  animation: brawl-left-arrow 0.6s ease-in-out forwards;
}

.brawl-right-arrow {
  animation: brawl-right-arrow 0.6s ease-in-out forwards;
}

.brawl-scale1 {
  animation: brawl-scale1 0.6s ease-in-out forwards;
}

.brawl-rise-up {
  animation: rise-up 0.6s ease-in-out forwards;
}

@keyframes brawl-zoom1 {
  0% {
    font-size: 96px;
    opacity: 0;
  }
  100% {
    font-size: 48px;
    opacity: 1;
  }
}

@keyframes brawl-zoom2 {
  0% {
    font-size: 3rem;
    opacity: 0;
  }
  100% {
    font-size: 1.5rem;
    opacity: 1;
  }
}

@keyframes brawl-zoom3 {
  0% {
    font-size: 48px;
    opacity: 0;
  }
  100% {
    font-size: 24px;
    opacity: 1;
  }
}

@keyframes brawl-left-arrow {
  0% {
    transform: translateX(-100%);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes brawl-right-arrow {
  0% {
    transform: translateX(100%);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes brawl-scale1 {
  0% {
    transform: scale(0);
    opacity: 0;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes rise-up {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(-16px);
    opacity: 0;
  }
}
